## k3d 0.8.0.6

=== CMakeLists.txt ===
PROJECT(k3d)

# Configure CMake ...
CMAKE_MINIMUM_REQUIRED(VERSION 3.1 FATAL_ERROR)
CMAKE_POLICY(SET CMP0003 OLD)
IF(${CMAKE_MAJOR_VERSION} GREATER 3 OR ${CMAKE_MAJOR_VERSION} EQUAL 3)
  CMAKE_POLICY(SET CMP0026 OLD)
ENDIF()

set(CMAKE_CXX_STANDARD 11)


SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
SET(CMAKE_INSTALL_NAME_DIR "@exectuable_path/../lib/")

INCLUDE(K3DOutOfSourceBuild) # Disallow in-source builds
INCLUDE(K3DCompileResource)
INCLUDE(K3DGenerateDEF) # Convenience macro for linking Win32 DLLs using MSVC
INCLUDE(K3DDependencies)
INCLUDE(K3DWordSize) # Detect 32/64 bit platform
INCLUDE(K3DCompiler) # Detect problematic compilers

# Set the K-3D version
SET(K3D_MAJOR_VERSION 0)
SET(K3D_MINOR_VERSION 8)
SET(K3D_RELEASE_VERSION 0)
SET(K3D_BUILD_VERSION 4)
SET(K3D_SO_VERSION 1)

SET(K3D_PACKAGE k3d)
SET(K3D_VERSION ${K3D_MAJOR_VERSION}.${K3D_MINOR_VERSION}.${K3D_RELEASE_VERSION}.${K3D_BUILD_VERSION})
SET(K3D_HOST ${CMAKE_SYSTEM} ${CMAKE_SYSTEM_PROCESSOR})
SET(K3D_COPYRIGHT "Copyright (c) 1995-2010, Timothy M. Shead.	All Rights Reserved.")

# Run tests to find external packages ...
INCLUDE(K3DFind3ds)
INCLUDE(K3DFindCairomm)
INCLUDE(K3DFindCARVE)
INCLUDE(K3DFindCGAL)
INCLUDE(K3DFindCollada)
INCLUDE(K3DFindDBus)
INCLUDE(K3DFindFreetype2)
INCLUDE(K3DFindFTGL)
INCLUDE(K3DFindGlibmm)
INCLUDE(K3DFindGMM)
INCLUDE(K3DFindGnomeVFS)
INCLUDE(K3DFindGPerftools)
INCLUDE(K3DFindGtkGLExt)
INCLUDE(K3DFindGtkmm)
INCLUDE(K3DFindGtkSourceView)
INCLUDE(K3DFindGTS)
INCLUDE(K3DFindImageMagick)
INCLUDE(K3DFindInotify)
INCLUDE(K3DFindIntl)
INCLUDE(K3DFindJPEG)
INCLUDE(K3DFindODE)
INCLUDE(K3DFindOpenEXR)
INCLUDE(K3DFindOpenGL)
INCLUDE(K3DFindOSMesa)
INCLUDE(K3DFindPNG)
INCLUDE(K3DFindPython)
INCLUDE(K3DFindSigC)
INCLUDE(K3DFindSuperLU)
INCLUDE(K3DFindTBB)
INCLUDE(K3DFindTIFF)
INCLUDE(K3DFindXML)
INCLUDE(K3DFindZlib)

FIND_PACKAGE(Aqsis NO_MODULE QUIET)
FIND_PACKAGE(Qt4 4.6.2 COMPONENTS QtCore QtGui QtScript)
FIND_PACKAGE(K3DAsciiDoc)

# Setup platform-specific defaults ...
IF(WIN32 AND MSVC)
	SET(K3D_ENABLE_SYMBOL_VISIBILITY_DEFAULT ON)
ELSE()
	SET(K3D_ENABLE_SYMBOL_VISIBILITY_DEFAULT OFF)
ENDIF()

IF(Aqsis_FOUND AND QT4_FOUND)
	SET(K3D_QT_AQSIS_FOUND TRUE)
ELSE()
	SET(K3D_QT_AQSIS_FOUND FALSE)
ENDIF()

IF(K3D_OSMESA_FOUND AND QT4_FOUND)
	SET(K3D_QT_OSMESA_FOUND TRUE)
ELSE()
	SET(K3D_QT_OSMESA_FOUND FALSE)
ENDIF()

OPTION(K3D_BUILD_3DS_IO_MODULE "Build the 3ds_io module" ${K3D_3DS_FOUND})
OPTION(K3D_BUILD_ADVANCED_OPENGL_PAINTERS_MODULE "Build the advanced OpenGL mesh painters module" ON)
OPTION(K3D_BUILD_ANIMATION_MODULE "Build the animation module" ON)
OPTION(K3D_BUILD_ANNOTATION_MODULE "Build the annotation module" ${K3D_FREETYPE2_FOUND})
OPTION(K3D_BUILD_AQSIS_MODULE "Build the embedded Aqsis render engine module" ${Aqsis_FOUND})
OPTION(K3D_BUILD_ARRAY_MODULE "Build the array module" ON)
OPTION(K3D_BUILD_BICUBIC_PATCH_MODULE "Build the bicubic patch module" ON)
OPTION(K3D_BUILD_BILINEAR_PATCH_MODULE "Build the bilinear patch module" ON)
OPTION(K3D_BUILD_BITMAP_MODULE "Build the bitmap module" ON)
OPTION(K3D_BUILD_BLOBBY_MODULE "Build the blobby module" ON)
OPTION(K3D_BUILD_BUNDLED_RENDERMAN_ENGINES_MODULE "Provides integration with RenderMan-compatible render engines that are bundled with K-3D." OFF)
OPTION(K3D_BUILD_CARVE_MODULE "Build the CARVE module" ${K3D_CARVE_FOUND})
OPTION(K3D_BUILD_CGAL_MODULE "Build the CGAL module" ${K3D_CGAL_FOUND})
OPTION(K3D_BUILD_CLOTH_MODULE "Build the cloth module" ON)
OPTION(K3D_BUILD_COLLADA_IO_MODULE "Build the COLLADA module" ${K3D_COLLADA_FOUND})
OPTION(K3D_BUILD_COMPIZ_MODULE "Build the Compiz module" ${K3D_DBUS_FOUND})
OPTION(K3D_BUILD_CORE_MODULE "Build the core module" ON)
OPTION(K3D_BUILD_CUDA_MODULE "Build the cuda module" OFF)
OPTION(K3D_BUILD_DEFORMATION_MODULE "Build the mesh deformation module" ON)
OPTION(K3D_BUILD_DEVELOPMENT_MODULE "Build the development module" ON)
OPTION(K3D_BUILD_DOUBLE_MODULE "Build the double module" ON)
OPTION(K3D_BUILD_EULER_OPERATIONS_MODULE "Build the module that exposes the Euler mesh operations as mesh modifiers" OFF)
OPTION(K3D_BUILD_FILE_MAGIC_MODULE "Build the file-identification-magic module" ON)
OPTION(K3D_BUILD_FREETYPE2_MODULE "Build the freetype2 module" ON)
OPTION(K3D_BUILD_GLX_MODULE "Build the GLX offscreen rendering module" OFF)
OPTION(K3D_BUILD_GMSH_IO_MODULE "Build the Gmsh file format module" ON)
OPTION(K3D_BUILD_GNOME_MODULE "Build the GNOME integration module" ${K3D_GNOME_VFS_FOUND})
OPTION(K3D_BUILD_GPERFTOOLS_MODULE "Build the GPerftools profiling module" ${K3D_GPERFTOOLS_FOUND})
OPTION(K3D_BUILD_GRAPHVIZ_MODULE "Build the GraphViz integration module" ON)
OPTION(K3D_BUILD_GTS_IO_MODULE "Build the GNU Triangulated Surfaces file format module" ON)
OPTION(K3D_BUILD_GTS_MODULE "Build the GNU Triangulated Surfaces module" ${K3D_GTS_FOUND})
OPTION(K3D_BUILD_HIGHLIGHTING_MODULE "Build the user interface 'highlighting' module" ON)
OPTION(K3D_BUILD_IGES_IO_MODULE "Build the IGES file format module" ON)
OPTION(K3D_BUILD_IMAGEMAGICK_IO_MODULE "Build the ImageMagick file format module" ${K3D_IMAGEMAGICK_FOUND})
OPTION(K3D_BUILD_INDIGO_MODULE "Build the Indigo render engine integration module" ON)
OPTION(K3D_BUILD_INOTIFY_MODULE "Build the inotify file change notification module" ${K3D_INOTIFY_FOUND})
OPTION(K3D_BUILD_JPEG_IO_MODULE "Build the jpeg file format module" ${K3D_JPEG_FOUND})
OPTION(K3D_BUILD_K3D_IO_MODULE "Build the K-3D file format module" ON)
OPTION(K3D_BUILD_LINEAR_CURVE_MODULE "Build the linear curve module" ON)
OPTION(K3D_BUILD_LIPSYNC_MODULE "Build the lip synchronization tools module" ON)
OPTION(K3D_BUILD_LSYSTEM_MODULE "Build the l-system parser module" ON)
OPTION(K3D_BUILD_LUXRENDER_MODULE "Build the Luxrender render enegine integration module" ON)
OPTION(K3D_BUILD_MATRIX_MODULE "Build the matrix operations module" ON)
OPTION(K3D_BUILD_MD2_IO_MODULE "Build the md2 io module" ON)
OPTION(K3D_BUILD_MESH_ATTRIBUTES_MODULE "Build the mesh attributes module" ON)
OPTION(K3D_BUILD_MESH_INSTANCE_MODULE "Build the mesh-instance module" ON)
OPTION(K3D_BUILD_MESH_MODULE "Build the mesh module" ON)
OPTION(K3D_BUILD_NGUI_ABOUT_MODULE "Build the user interface 'about' dialog module" ON)
OPTION(K3D_BUILD_NGUI_ANIMATION_TIMELINE_PANEL_MODULE "Build the experimental animation timeline panel module" ON)
OPTION(K3D_BUILD_NGUI_ASSIGN_HOTKEYS_MODULE "Build the user interface 'assign hotkeys' module" ON)
OPTION(K3D_BUILD_NGUI_ATK_EVENT_RECORDER_MODULE "Build the user interface ATK 'event recorder' module" OFF)
OPTION(K3D_BUILD_NGUI_KNOT_VECTOR_CONTROL_MODULE "Build the custom knot-vector property control module" ON)
OPTION(K3D_BUILD_NGUI_LEARNING_MODULE "Build the user interface learning (tutorial) dialog module" ON)
OPTION(K3D_BUILD_NGUI_LOG_MODULE "Build the user interface log window module" ON)
OPTION(K3D_BUILD_NGUI_MATERIAL_MANAGER_PANEL_MODULE "Build the user interface manager manager panel module" OFF)
OPTION(K3D_BUILD_NGUI_MESH_CONTROL_MODULE "Build the mesh property control module" ON)
OPTION(K3D_BUILD_NGUI_MODULE "Build the standard graphical user interface module" ON)
OPTION(K3D_BUILD_NGUI_MORPH_POINTS_PAGE_MODULE "Build the MorphPoints custom property page module" ON)
OPTION(K3D_BUILD_NGUI_NODE_LIST_PANEL_MODULE "Build the user interface node list panel module" ON)
OPTION(K3D_BUILD_NGUI_NODE_PROPERTIES_PANEL_MODULE "Build the user interface node properties panel module" ON)
OPTION(K3D_BUILD_NGUI_OPENGL_DIALOG_MODULE "Build the user interface OpenGL information dialog module" ON)
OPTION(K3D_BUILD_NGUI_PARENT_TOOL_MODULE "Build the user interface 'parent tool' module" ON)
OPTION(K3D_BUILD_NGUI_PIPELINE_PANEL_MODULE "Build the user interface pipeline display panel module" ON)
OPTION(K3D_BUILD_NGUI_PIPELINE_PROFILER_PANEL_MODULE "Build the user interface pipeline profiler panel module" ON)
OPTION(K3D_BUILD_NGUI_PYTHON_SHELL_MODULE "Build the interactive Python shell module" ON)
OPTION(K3D_BUILD_NGUI_RECTANGLE_CONTROL_MODULE "Build the custom rectangle property control module" ON)
OPTION(K3D_BUILD_NGUI_RENDER_REGION_TOOL_MODULE "Build the user interface 'render region tool' module" ON)
OPTION(K3D_BUILD_NGUI_SELECTION_CONTROL_MODULE "Build the selection property control module" ON)
OPTION(K3D_BUILD_NGUI_SNAP_TOOL_MODULE "Build the user interface 'snap tool' module" ON)
OPTION(K3D_BUILD_NGUI_SPACE_NAVIGATOR_MODULE "Build the SpaceNavigator 3D mouse integration module" OFF)
OPTION(K3D_BUILD_NGUI_TEXT_EDITOR_MODULE "Build the user interface text editor module" ON)
OPTION(K3D_BUILD_NGUI_TIMELINE_PANEL_MODULE "Build the user interface timeline panel module" ON)
OPTION(K3D_BUILD_NGUI_TOOLBAR_PANEL_MODULE "Build the user interface toolbar panel module" ON)
OPTION(K3D_BUILD_NGUI_TOOL_PROPERTIES_PANEL_MODULE "Build the user interface tool properties panel module" ON)
OPTION(K3D_BUILD_NGUI_UNDO_TREE_PANEL_MODULE "Build the user interface undo panel module" ON)
OPTION(K3D_BUILD_NGUI_UV_EDITOR_PANEL_MODULE "Build the user interface UV editor panel module" OFF)
OPTION(K3D_BUILD_NUI_MODULE "Build the Null User Interface module" ON)
OPTION(K3D_BUILD_NURBS_MODULE "Build the NURBS module" ON)
OPTION(K3D_BUILD_NURBS_SOURCES_MODULE "Build the NURBS sources module" ON)
OPTION(K3D_BUILD_OBJ_IO_MODULE "Build the Wavefront .obj file format module" ON)
OPTION(K3D_BUILD_ODE_MODULE "Build the Open Dynamics Engine (ODE) integration module" ${K3D_ODE_FOUND})
OPTION(K3D_BUILD_OGRE_IO_MODULE "Build the Object-oriented Graphics Engine (OGRE) file I/O module" ON)
OPTION(K3D_BUILD_OPENEXR_IO_MODULE "Build the OpenEXR file format module" ${K3D_OPENEXR_FOUND})
OPTION(K3D_BUILD_OPENGL_MODULE "Build the OpenGL integration module" ON)
OPTION(K3D_BUILD_OSMESA_MODULE "Build the Offscreen Mesa integration module" ${K3D_OSMESA_FOUND})
OPTION(K3D_BUILD_OSX_MODULE "Build the Mac OSX integration module" ${APPLE})
OPTION(K3D_BUILD_PARTICLE_MODULE "Build the point group module" ON)
OPTION(K3D_BUILD_PDIFF_MODULE "Build the perceptual-diff module" ON)
OPTION(K3D_BUILD_PIXIE_MODULE "Build the Pixie render engine integration module" ON)
OPTION(K3D_BUILD_PLOT_MODULE "Build the function-plot module" ON)
OPTION(K3D_BUILD_PLY_IO_MODULE "Build the Stanford .ply file format module" ON)
OPTION(K3D_BUILD_PNG_IO_MODULE "Build the PNG file format module" ON)
OPTION(K3D_BUILD_POLYHEDRON_MODULE "Build the polyhedron module" ON)
OPTION(K3D_BUILD_POLYHEDRON_SOURCES_MODULE "Build the polyhedron sources module" ON)
OPTION(K3D_BUILD_PYTHON_MODULE "Build the Python scripting language module" ON)
OPTION(K3D_BUILD_PYUI_MODULE "Build the Python user interface plugin" ON)
OPTION(K3D_BUILD_QSLIM_MODULE "Build the qslim module" ON)
OPTION(K3D_BUILD_QTUI_ABOUT_DIALOG_MODULE "Build the Qt user interface 'about' dialog module" OFF)
OPTION(K3D_BUILD_QTUI_AQSIS_MODE_MODULE "Build the Qt-Aqsis integration mode module" OFF)
OPTION(K3D_BUILD_QTUI_AQSIS_MODULE "Build the Qt-Aqsis integration module" OFF)
OPTION(K3D_BUILD_QTUI_BOOLEAN_MODULE "Build the Qt graphical user interface boolean property widget module" OFF)
OPTION(K3D_BUILD_QTUI_COLOR_MODULE "Build the Qt graphical user interface color property widget module" OFF)
OPTION(K3D_BUILD_QTUI_DEFAULT_MODE_MODULE "Build the Qt graphical user interface default mode module" OFF)
OPTION(K3D_BUILD_QTUI_JAVASCRIPT_SHELL_MODULE "Build the Qt graphical user interface interactive JavaScript shell module" OFF)
OPTION(K3D_BUILD_QTUI_LOG_MODULE "Build the Qt user interface log window module" OFF)
OPTION(K3D_BUILD_QTUI_MATRIX_MODULE "Build the Qt graphical user interface matrix property widget module" OFF)
OPTION(K3D_BUILD_QTUI_MODULE "Build the Qt graphical user interface module" OFF)
OPTION(K3D_BUILD_QTUI_MOVE_MODE_MODULE "Build the user interface mode to move components" OFF)
OPTION(K3D_BUILD_QTUI_NODE_LIST_MODULE "Build the Qt graphical user interface node list module" OFF)
OPTION(K3D_BUILD_QTUI_NODE_PROPERTIES_MODULE "Build the Qt graphical user interface node properties module" OFF)

=== desktop/CMakeLists.txt ===
configure_file(k3d.desktop.in k3d.desktop)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/k3d.desktop DESTINATION share/applications)

=== gendef/CMakeLists.txt ===
PROJECT(gendef)
ADD_EXECUTABLE(k3d-gendef gendef.cc)

=== k3dsdk/CMakeLists.txt ===
PROJECT(k3dsdk)

FILE(GLOB HEADERS *.h)
FILE(GLOB SOURCES *.cpp)

LIST(SORT HEADERS)
LIST(SORT SOURCES)

IF(WIN32 AND K3D_COMPILER_GCC)
	# For some reason, serialization_xml.cpp takes *forever* to build with optimizations enabled
	SET_SOURCE_FILES_PROPERTIES(serialization_xml.cpp PROPERTIES COMPILE_FLAGS -O0)
ENDIF(WIN32 AND K3D_COMPILER_GCC)

CONFIGURE_FILE(${k3dsdk_SOURCE_DIR}/k3d-i18n-config.h.in ${k3dsdk_BINARY_DIR}/k3d-i18n-config.h)
CONFIGURE_FILE(${k3dsdk_SOURCE_DIR}/k3d-ngui-config.h.in ${k3dsdk_BINARY_DIR}/k3d-ngui-config.h)
CONFIGURE_FILE(${k3dsdk_SOURCE_DIR}/k3d-parallel-config.h.in ${k3dsdk_BINARY_DIR}/k3d-parallel-config.h)
CONFIGURE_FILE(${k3dsdk_SOURCE_DIR}/k3d-platform-config.h.in ${k3dsdk_BINARY_DIR}/k3d-platform-config.h)
CONFIGURE_FILE(${k3dsdk_SOURCE_DIR}/k3d-version-config.h.in ${k3dsdk_BINARY_DIR}/k3d-version-config.h)

INCLUDE_DIRECTORIES(
	${k3d_SOURCE_DIR}
	${k3dsdk_BINARY_DIR}
	${Boost_INCLUDE_DIRS}
	${k3dsdk_SOURCE_DIR}/gil
	${K3D_GLIBMM_INCLUDE_DIRS}
	${K3D_SIGC_INCLUDE_DIRS}
	${K3D_OPENGL_INCLUDE_DIR}
	)

IF(K3D_ENABLE_PARALLEL)
	INCLUDE_DIRECTORIES(${K3D_TBB_INCLUDE_DIR})
ENDIF(K3D_ENABLE_PARALLEL)

IF(K3D_ENABLE_PROFILING)
    INCLUDE_DIRECTORIES(${K3D_GPERFTOOLS_INCLUDE_DIR})
ENDIF(K3D_ENABLE_PROFILING)

INCLUDE_DIRECTORIES(${K3D_XML_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${K3D_ZLIB_INCLUDE_DIRS})

LINK_DIRECTORIES(${K3D_GLIBMM_LIB_DIRS})
LINK_DIRECTORIES(${K3D_SIGC_LIB_DIRS})
LINK_DIRECTORIES(${K3D_ZLIB_LIB_DIRS})

K3D_ADD_LIBRARY(k3dsdk SHARED ${HEADERS} ${SOURCES})
K3D_GENERATE_DEF_FILE(k3dsdk)

TARGET_LINK_LIBRARIES(k3dsdk
	${K3D_GLIBMM_LIBS}
	${K3D_SIGC_LIBS}
	${K3D_XML_LIB}
	${K3D_ZLIB_LIBS}
	${K3D_OPENGL_LIBRARIES}
	k3dsdk-half
	k3dsdk-sgi-tesselator
	k3dsdk-parallel
	${Boost_PROGRAM_OPTIONS_LIBRARY}
	${Boost_UNIT_TEST_FRAMEWORK_LIBRARY}
	${Boost_SYSTEM_LIBRARY}
  "dl" # for gold linker
	)

IF(K3D_ENABLE_NLS)
	INCLUDE_DIRECTORIES(${K3D_INTL_INCLUDE_DIRS})
	TARGET_LINK_LIBRARIES(k3dsdk ${K3D_INTL_LIBS})
ENDIF(K3D_ENABLE_NLS)

IF(K3D_ENABLE_PROFILING)
    TARGET_LINK_LIBRARIES(k3dsdk ${K3D_PROFILER_LIBRARY})
ENDIF(K3D_ENABLE_PROFILING)

IF(WIN32)
	TARGET_LINK_LIBRARIES(k3dsdk ole32)
	TARGET_LINK_LIBRARIES(k3dsdk ws2_32)
ENDIF(WIN32)

ADD_SUBDIRECTORY(Half)
ADD_SUBDIRECTORY(expression)
ADD_SUBDIRECTORY(gl)

ADD_SUBDIRECTORY(parallel)
ADD_SUBDIRECTORY(resource)
ADD_SUBDIRECTORY(sgi_tesselator)
ADD_SUBDIRECTORY(subdivision_surface)

K3D_ADD_SUBDIRECTORY(ngui REQUIRES K3D_BUILD_NGUI_MODULE)
K3D_ADD_SUBDIRECTORY(qtui REQUIRES K3D_BUILD_QTUI_MODULE)
K3D_ADD_SUBDIRECTORY(python REQUIRES K3D_ENABLE_PYTHON)

INSTALL(TARGETS k3dsdk
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION ${K3D_LIBDIR}
	ARCHIVE DESTINATION ${K3D_LIBDIR})
INSTALL(FILES ${HEADERS} DESTINATION include/k3d/k3dsdk)

INSTALL(FILES ${k3dsdk_BINARY_DIR}/k3d-i18n-config.h DESTINATION ${K3D_LIBDIR}/k3d/include)
INSTALL(FILES ${k3dsdk_BINARY_DIR}/k3d-ngui-config.h DESTINATION ${K3D_LIBDIR}/k3d/include)
INSTALL(FILES ${k3dsdk_BINARY_DIR}/k3d-parallel-config.h DESTINATION ${K3D_LIBDIR}/k3d/include)
INSTALL(FILES ${k3dsdk_BINARY_DIR}/k3d-platform-config.h DESTINATION ${K3D_LIBDIR}/k3d/include)
INSTALL(FILES ${k3dsdk_BINARY_DIR}/k3d-version-config.h DESTINATION ${K3D_LIBDIR}/k3d/include)

=== make-module-proxy/CMakeLists.txt ===
PROJECT(k3d-make-module-proxy)

INCLUDE_DIRECTORIES(${k3d_SOURCE_DIR})
INCLUDE_DIRECTORIES(${k3dsdk_BINARY_DIR})
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${K3D_GLIBMM_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${K3D_SIGC_INCLUDE_DIRS})

LINK_DIRECTORIES(${K3D_GLIBMM_LIB_DIRS})
LINK_DIRECTORIES(${K3D_SIGC_LIB_DIRS})

ADD_EXECUTABLE(k3d-make-module-proxy
  main.cpp
  )

SET_TARGET_PROPERTIES(k3d-make-module-proxy PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY ${K3D_RUNTIME_OUTPUT_DIRECTORY}
  )

TARGET_LINK_LIBRARIES(k3d-make-module-proxy
  k3dsdk
  )

=== modules/CMakeLists.txt ===
SET(K3D_PLUGINS "" CACHE INTERNAL "" FORCE)

INCLUDE(K3DParseArguments)

MACRO(K3D_BUILD_MODULE MODULE_NAME)
	K3D_PARSE_ARGUMENTS(MODULE "EXTRA_SOURCES;EXCLUDE_SOURCES" "" ${ARGN})

	SET(K3D_PLUGINS ${K3D_PLUGINS} ${MODULE_NAME} CACHE INTERNAL "" FORCE)

	FILE(GLOB ABSOLUTE_HEADERS *.h)
	FILE(GLOB ABSOLUTE_SOURCES *.cpp)

	LIST(SORT ABSOLUTE_HEADERS)
	LIST(SORT ABSOLUTE_SOURCES)

	FOREACH(ABSOLUTE_HEADER ${ABSOLUTE_HEADERS})
		GET_FILENAME_COMPONENT(HEADER ${ABSOLUTE_HEADER} NAME)
		LIST(APPEND HEADERS ${HEADER})
	ENDFOREACH()

	FOREACH(ABSOLUTE_SOURCE ${ABSOLUTE_SOURCES})
		GET_FILENAME_COMPONENT(SOURCE ${ABSOLUTE_SOURCE} NAME)
		LIST(APPEND SOURCES ${SOURCE})
	ENDFOREACH()

	LIST(LENGTH HEADERS HEADER_COUNT)
	LIST(LENGTH SOURCES SOURCE_COUNT)

	IF(HEADER_COUNT GREATER 0)
		FOREACH(MODULE_EXCLUDE_SOURCE ${MODULE_EXCLUDE_SOURCES})
			LIST(REMOVE_ITEM HEADERS ${MODULE_EXCLUDE_SOURCE})
		ENDFOREACH()
	ENDIF()

	IF(SOURCE_COUNT GREATER 0)
		FOREACH(MODULE_EXCLUDE_SOURCE ${MODULE_EXCLUDE_SOURCES})
			LIST(REMOVE_ITEM SOURCES ${MODULE_EXCLUDE_SOURCE})
		ENDFOREACH()
	ENDIF()

	INCLUDE_DIRECTORIES(${k3d_SOURCE_DIR})
	INCLUDE_DIRECTORIES(${k3dsdk_BINARY_DIR})
	INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
	INCLUDE_DIRECTORIES(${K3D_GLIBMM_INCLUDE_DIRS})
	INCLUDE_DIRECTORIES(${K3D_SIGC_INCLUDE_DIRS})
	INCLUDE_DIRECTORIES(${K3D_OPENGL_INCLUDE_DIR})

	IF(K3D_ENABLE_NLS)
		INCLUDE_DIRECTORIES(${K3D_INTL_INCLUDE_DIRS})
	ENDIF(K3D_ENABLE_NLS)

	IF(K3D_ENABLE_PARALLEL)
		INCLUDE_DIRECTORIES(${K3D_TBB_INCLUDE_DIR})
	ENDIF(K3D_ENABLE_PARALLEL)

	IF(K3D_ENABLE_PROFILING)
		INCLUDE_DIRECTORIES(${K3D_GPERFTOOLS_INCLUDE_DIR})
	ENDIF(K3D_ENABLE_PROFILING)

	LINK_DIRECTORIES(${K3D_SIGC_LIB_DIRS})

	ADD_LIBRARY(${MODULE_NAME} MODULE ${HEADERS} ${SOURCES} ${MODULE_EXTRA_SOURCES})
	SET_TARGET_PROPERTIES(${MODULE_NAME} PROPERTIES
		LIBRARY_OUTPUT_DIRECTORY ${K3D_MODULE_OUTPUT_DIRECTORY}
		PREFIX ""
		SUFFIX ".module"
		)

	TARGET_LINK_LIBRARIES(${MODULE_NAME} k3dsdk)

	IF(K3D_ENABLE_NLS)
		TARGET_LINK_LIBRARIES(${MODULE_NAME} ${K3D_INTL_LIBS})
	ENDIF(K3D_ENABLE_NLS)

	IF(K3D_ENABLE_PROFILING)
		TARGET_LINK_LIBRARIES(${MODULE_NAME} ${K3D_PROFILER_LIBRARY})
	ENDIF(K3D_ENABLE_PROFILING)

	INSTALL(TARGETS ${MODULE_NAME}
		RUNTIME DESTINATION ${K3D_LIBDIR}/k3d/plugins
		LIBRARY DESTINATION ${K3D_LIBDIR}/k3d/plugins)
ENDMACRO(K3D_BUILD_MODULE)

MACRO(K3D_BUILD_NGUI_MODULE MODULE_NAME)
	INCLUDE_DIRECTORIES(${K3D_CAIROMM_INCLUDE_DIRS})
	INCLUDE_DIRECTORIES(${K3D_GTKMM_INCLUDE_DIRS})
	INCLUDE_DIRECTORIES(${K3D_GTKGLEXT_INCLUDE_DIRS})

	LINK_DIRECTORIES(${K3D_GTKGLEXT_LIB_DIRS})

	K3D_BUILD_MODULE(${MODULE_NAME} ${ARGN})

	TARGET_LINK_LIBRARIES(${MODULE_NAME} k3dsdk-ngui)
	TARGET_LINK_LIBRARIES(${MODULE_NAME} ${K3D_CAIROMM_LIBS})
ENDMACRO(K3D_BUILD_NGUI_MODULE)

MACRO(K3D_BUILD_QTUI_MODULE MODULE_NAME)
	ADD_DEFINITIONS(-DQT_NO_KEYWORDS)

	INCLUDE_DIRECTORIES(${k3dsdk-qtui_BINARY_DIR})
	INCLUDE_DIRECTORIES(${QT_INCLUDES})

	K3D_BUILD_MODULE(${MODULE_NAME} ${ARGN})
	TARGET_LINK_LIBRARIES(${MODULE_NAME} k3dsdk-qtui)
ENDMACRO()

MACRO(K3D_CREATE_MODULE_PROXY MODULE_NAME)
	GET_TARGET_PROPERTY(K3D_MAKE_MODULE_PROXY k3d-make-module-proxy LOCATION)
	GET_TARGET_PROPERTY(MODULE ${MODULE_NAME} LOCATION)
	ADD_CUSTOM_COMMAND(
		OUTPUT ${MODULE}.proxy
		COMMAND ${K3D_MAKE_MODULE_PROXY} ${MODULE} ${MODULE}.proxy
		DEPENDS k3d-make-module-proxy ${MODULE_NAME}
		)
	ADD_CUSTOM_TARGET(${MODULE_NAME}-proxy ALL DEPENDS ${MODULE}.proxy)
	INSTALL(FILES ${MODULE}.proxy DESTINATION ${K3D_LIBDIR}/k3d/plugins)
ENDMACRO(K3D_CREATE_MODULE_PROXY)

K3D_ADD_SUBDIRECTORY(3ds_io REQUIRES K3D_BUILD_3DS_IO_MODULE)
K3D_ADD_SUBDIRECTORY(advanced_opengl_painters REQUIRES K3D_BUILD_ADVANCED_OPENGL_PAINTERS_MODULE)
K3D_ADD_SUBDIRECTORY(animation REQUIRES K3D_BUILD_ANIMATION_MODULE)
K3D_ADD_SUBDIRECTORY(annotation REQUIRES K3D_BUILD_ANNOTATION_MODULE)
K3D_ADD_SUBDIRECTORY(aqsis REQUIRES K3D_BUILD_AQSIS_MODULE)
K3D_ADD_SUBDIRECTORY(array REQUIRES K3D_BUILD_ARRAY_MODULE)
K3D_ADD_SUBDIRECTORY(bicubic_patch REQUIRES K3D_BUILD_BICUBIC_PATCH_MODULE)
K3D_ADD_SUBDIRECTORY(bilinear_patch REQUIRES K3D_BUILD_BILINEAR_PATCH_MODULE)
K3D_ADD_SUBDIRECTORY(bitmap REQUIRES K3D_BUILD_BITMAP_MODULE)
K3D_ADD_SUBDIRECTORY(blobby REQUIRES K3D_BUILD_BLOBBY_MODULE)
K3D_ADD_SUBDIRECTORY(bundled_renderman_engines REQUIRES K3D_BUILD_BUNDLED_RENDERMAN_ENGINES_MODULE)
K3D_ADD_SUBDIRECTORY(carve REQUIRES K3D_BUILD_CARVE_MODULE)
K3D_ADD_SUBDIRECTORY(cgal REQUIRES K3D_BUILD_CGAL_MODULE)
K3D_ADD_SUBDIRECTORY(cloth REQUIRES K3D_BUILD_CLOTH_MODULE)
K3D_ADD_SUBDIRECTORY(collada_io REQUIRES K3D_BUILD_COLLADA_IO_MODULE)
K3D_ADD_SUBDIRECTORY(compiz REQUIRES K3D_BUILD_COMPIZ_MODULE)
K3D_ADD_SUBDIRECTORY(core REQUIRES K3D_BUILD_CORE_MODULE)
K3D_ADD_SUBDIRECTORY(cuda REQUIRES K3D_BUILD_CUDA_MODULE)
K3D_ADD_SUBDIRECTORY(deformation REQUIRES K3D_BUILD_DEFORMATION_MODULE)
K3D_ADD_SUBDIRECTORY(development REQUIRES K3D_BUILD_DEVELOPMENT_MODULE)
K3D_ADD_SUBDIRECTORY(double REQUIRES K3D_BUILD_DOUBLE_MODULE)
K3D_ADD_SUBDIRECTORY(euler_operations REQUIRES K3D_BUILD_EULER_OPERATIONS_MODULE)
K3D_ADD_SUBDIRECTORY(file_magic REQUIRES K3D_BUILD_FILE_MAGIC_MODULE)
K3D_ADD_SUBDIRECTORY(freetype2 REQUIRES K3D_BUILD_FREETYPE2_MODULE)
K3D_ADD_SUBDIRECTORY(glx REQUIRES K3D_BUILD_GLX_MODULE)
K3D_ADD_SUBDIRECTORY(gmsh_io REQUIRES K3D_BUILD_GMSH_IO_MODULE)
K3D_ADD_SUBDIRECTORY(gnome REQUIRES K3D_BUILD_GNOME_MODULE)
K3D_ADD_SUBDIRECTORY(gperftools REQUIRES K3D_BUILD_GPERFTOOLS_MODULE K3D_ENABLE_PROFILING)
K3D_ADD_SUBDIRECTORY(graphviz REQUIRES K3D_BUILD_GRAPHVIZ_MODULE)
K3D_ADD_SUBDIRECTORY(gts_io REQUIRES K3D_BUILD_GTS_IO_MODULE)
K3D_ADD_SUBDIRECTORY(gts REQUIRES K3D_BUILD_GTS_MODULE)
K3D_ADD_SUBDIRECTORY(highlighting REQUIRES K3D_BUILD_HIGHLIGHTING_MODULE)
K3D_ADD_SUBDIRECTORY(iges_io REQUIRES K3D_BUILD_IGES_IO_MODULE)
K3D_ADD_SUBDIRECTORY(imagemagick_io REQUIRES K3D_BUILD_IMAGEMAGICK_IO_MODULE)
K3D_ADD_SUBDIRECTORY(indigo REQUIRES K3D_BUILD_INDIGO_MODULE)
K3D_ADD_SUBDIRECTORY(inotify REQUIRES K3D_BUILD_INOTIFY_MODULE)
K3D_ADD_SUBDIRECTORY(jpeg_io REQUIRES K3D_BUILD_JPEG_IO_MODULE)
K3D_ADD_SUBDIRECTORY(k3d_io REQUIRES K3D_BUILD_K3D_IO_MODULE)
K3D_ADD_SUBDIRECTORY(linear_curve REQUIRES K3D_BUILD_LINEAR_CURVE_MODULE)
K3D_ADD_SUBDIRECTORY(lipsync REQUIRES K3D_BUILD_LIPSYNC_MODULE)
K3D_ADD_SUBDIRECTORY(lsystem REQUIRES K3D_BUILD_LSYSTEM_MODULE)
K3D_ADD_SUBDIRECTORY(luxrender REQUIRES K3D_BUILD_LUXRENDER_MODULE)
K3D_ADD_SUBDIRECTORY(matrix REQUIRES K3D_BUILD_MATRIX_MODULE)
K3D_ADD_SUBDIRECTORY(md2_io REQUIRES K3D_BUILD_MD2_IO_MODULE)
K3D_ADD_SUBDIRECTORY(mesh_attributes REQUIRES K3D_BUILD_MESH_ATTRIBUTES_MODULE)
K3D_ADD_SUBDIRECTORY(mesh_instance REQUIRES K3D_BUILD_MESH_INSTANCE_MODULE)
K3D_ADD_SUBDIRECTORY(mesh REQUIRES K3D_BUILD_MESH_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_about REQUIRES K3D_BUILD_NGUI_ABOUT_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_animation_timeline_panel REQUIRES K3D_BUILD_NGUI_ANIMATION_TIMELINE_PANEL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_assign_hotkeys REQUIRES K3D_BUILD_NGUI_ASSIGN_HOTKEYS_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_atk_event_recorder REQUIRES K3D_BUILD_NGUI_ATK_EVENT_RECORDER_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_knot_vector_control REQUIRES K3D_BUILD_NGUI_KNOT_VECTOR_CONTROL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_learning REQUIRES K3D_BUILD_NGUI_LEARNING_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_log REQUIRES K3D_BUILD_NGUI_LOG_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_material_manager_panel REQUIRES K3D_BUILD_NGUI_MATERIAL_MANAGER_PANEL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_mesh_control REQUIRES K3D_BUILD_NGUI_MESH_CONTROL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui REQUIRES K3D_BUILD_NGUI_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_morph_points_page REQUIRES K3D_BUILD_NGUI_MORPH_POINTS_PAGE_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_node_list_panel REQUIRES K3D_BUILD_NGUI_NODE_LIST_PANEL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_node_properties_panel REQUIRES K3D_BUILD_NGUI_NODE_PROPERTIES_PANEL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_opengl_dialog REQUIRES K3D_BUILD_NGUI_OPENGL_DIALOG_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_parent_tool REQUIRES K3D_BUILD_NGUI_PARENT_TOOL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_pipeline_panel REQUIRES K3D_BUILD_NGUI_PIPELINE_PANEL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_pipeline_profiler_panel REQUIRES K3D_BUILD_NGUI_PIPELINE_PROFILER_PANEL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_python_shell REQUIRES K3D_BUILD_NGUI_PYTHON_SHELL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_rectangle_control REQUIRES K3D_BUILD_NGUI_RECTANGLE_CONTROL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_render_region_tool REQUIRES K3D_BUILD_NGUI_RENDER_REGION_TOOL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_selection_control REQUIRES K3D_BUILD_NGUI_SELECTION_CONTROL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_snap_tool REQUIRES K3D_BUILD_NGUI_SNAP_TOOL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_space_navigator REQUIRES K3D_BUILD_NGUI_SPACE_NAVIGATOR_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_text_editor REQUIRES K3D_BUILD_NGUI_TEXT_EDITOR_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_timeline_panel REQUIRES K3D_BUILD_NGUI_TIMELINE_PANEL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_toolbar_panel REQUIRES K3D_BUILD_NGUI_TOOLBAR_PANEL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_tool_properties_panel REQUIRES K3D_BUILD_NGUI_TOOL_PROPERTIES_PANEL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_undo_tree_panel REQUIRES K3D_BUILD_NGUI_UNDO_TREE_PANEL_MODULE)
K3D_ADD_SUBDIRECTORY(ngui_uv_editor_panel REQUIRES K3D_BUILD_NGUI_UV_EDITOR_PANEL_MODULE)
K3D_ADD_SUBDIRECTORY(nui REQUIRES K3D_BUILD_NUI_MODULE)
K3D_ADD_SUBDIRECTORY(nurbs REQUIRES K3D_BUILD_NURBS_MODULE)
K3D_ADD_SUBDIRECTORY(nurbs_sources REQUIRES K3D_BUILD_NURBS_SOURCES_MODULE)
K3D_ADD_SUBDIRECTORY(obj_io REQUIRES K3D_BUILD_OBJ_IO_MODULE)
K3D_ADD_SUBDIRECTORY(ode REQUIRES K3D_BUILD_ODE_MODULE)
K3D_ADD_SUBDIRECTORY(ogre_io REQUIRES K3D_BUILD_OGRE_IO_MODULE)
K3D_ADD_SUBDIRECTORY(openexr_io REQUIRES K3D_BUILD_OPENEXR_IO_MODULE)
K3D_ADD_SUBDIRECTORY(opengl REQUIRES K3D_BUILD_OPENGL_MODULE)
K3D_ADD_SUBDIRECTORY(osmesa REQUIRES K3D_BUILD_OSMESA_MODULE)
K3D_ADD_SUBDIRECTORY(osx REQUIRES K3D_BUILD_OSX_MODULE)
K3D_ADD_SUBDIRECTORY(particle REQUIRES K3D_BUILD_PARTICLE_MODULE)
K3D_ADD_SUBDIRECTORY(pdiff REQUIRES K3D_BUILD_PDIFF_MODULE)
K3D_ADD_SUBDIRECTORY(pixie REQUIRES K3D_BUILD_PIXIE_MODULE)
K3D_ADD_SUBDIRECTORY(plot REQUIRES K3D_BUILD_PLOT_MODULE)
K3D_ADD_SUBDIRECTORY(ply_io REQUIRES K3D_BUILD_PLY_IO_MODULE)
K3D_ADD_SUBDIRECTORY(png_io REQUIRES K3D_BUILD_PNG_IO_MODULE)
K3D_ADD_SUBDIRECTORY(polyhedron REQUIRES K3D_BUILD_POLYHEDRON_MODULE)
K3D_ADD_SUBDIRECTORY(polyhedron_sources REQUIRES K3D_BUILD_POLYHEDRON_SOURCES_MODULE)
K3D_ADD_SUBDIRECTORY(python REQUIRES K3D_BUILD_PYTHON_MODULE)
K3D_ADD_SUBDIRECTORY(pyui REQUIRES K3D_BUILD_PYUI_MODULE)
K3D_ADD_SUBDIRECTORY(qslim REQUIRES K3D_BUILD_QSLIM_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_about_dialog REQUIRES K3D_BUILD_QTUI_ABOUT_DIALOG_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_aqsis_mode REQUIRES K3D_BUILD_QTUI_AQSIS_MODE_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_aqsis REQUIRES K3D_BUILD_QTUI_AQSIS_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_boolean REQUIRES K3D_BUILD_QTUI_BOOLEAN_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_color REQUIRES K3D_BUILD_QTUI_COLOR_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_default_mode REQUIRES K3D_BUILD_QTUI_DEFAULT_MODE_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_javascript_shell REQUIRES K3D_BUILD_QTUI_JAVASCRIPT_SHELL_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_log REQUIRES K3D_BUILD_QTUI_LOG_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_matrix REQUIRES K3D_BUILD_QTUI_MATRIX_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_move_mode REQUIRES K3D_BUILD_QTUI_MOVE_MODE_MODULE)
K3D_ADD_SUBDIRECTORY(qtui REQUIRES K3D_BUILD_QTUI_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_node_list REQUIRES K3D_BUILD_QTUI_NODE_LIST_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_node_properties REQUIRES K3D_BUILD_QTUI_NODE_PROPERTIES_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_opengl REQUIRES K3D_BUILD_QTUI_OPENGL_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_path REQUIRES K3D_BUILD_QTUI_PATH_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_programmable_mode REQUIRES K3D_BUILD_QTUI_PROGRAMMABLE_MODE_MODULE)
K3D_ADD_SUBDIRECTORY(qtui_string REQUIRES K3D_BUILD_QTUI_STRING_MODULE)

=== renderjob/CMakeLists.txt ===
PROJECT(renderjob)

INCLUDE_DIRECTORIES(${k3d_SOURCE_DIR})
INCLUDE_DIRECTORIES(${k3dsdk_BINARY_DIR})
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${K3D_GLIBMM_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${K3D_SIGC_INCLUDE_DIRS})

LINK_DIRECTORIES(${K3D_GLIBMM_LIB_DIRS})
LINK_DIRECTORIES(${K3D_SIGC_LIB_DIRS})

ADD_EXECUTABLE(k3d-renderjob
  main.cpp
  )

SET_TARGET_PROPERTIES(k3d-renderjob PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY ${K3D_RUNTIME_OUTPUT_DIRECTORY}
  )

TARGET_LINK_LIBRARIES(k3d-renderjob
  k3dsdk
  )

IF(WIN32 AND K3D_COMPILER_GCC)
	SET_TARGET_PROPERTIES(k3d-renderjob PROPERTIES LINK_FLAGS -mwindows)
ENDIF()

INSTALL(TARGETS k3d-renderjob DESTINATION bin)

=== resource-compiler/CMakeLists.txt ===
PROJECT(k3d-resource-compiler)

INCLUDE_DIRECTORIES(
	${Boost_INCLUDE_DIRS}
	)

ADD_EXECUTABLE(k3d-resource-compiler
	main.cpp
	)

SET_TARGET_PROPERTIES(k3d-resource-compiler PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY ${K3D_RUNTIME_OUTPUT_DIRECTORY}
  )

TARGET_LINK_LIBRARIES(k3d-resource-compiler
	${Boost_PROGRAM_OPTIONS_LIBRARY}
	)

=== share/CMakeLists.txt ===
PROJECT(share)

FUNCTION(K3D_ADD_SHARE_FILES PATTERN TARGET)
	FILE(GLOB FILE_LIST ${PATTERN})

	FILE(MAKE_DIRECTORY ${K3D_SHARE_OUTPUT_DIRECTORY}/${TARGET})
	FOREACH(FILE ${FILE_LIST})
		CONFIGURE_FILE(${FILE} ${K3D_SHARE_OUTPUT_DIRECTORY}/${TARGET} COPYONLY)
	ENDFOREACH()

	INSTALL(FILES ${FILE_LIST} DESTINATION share/${TARGET})
ENDFUNCTION()

K3D_ADD_SUBDIRECTORY(man REQUIRES K3D_BUILD_DOCS)
ADD_SUBDIRECTORY(k3d)

=== sl2xml/CMakeLists.txt ===
PROJECT(sl2xml)

INCLUDE_DIRECTORIES(${k3d_SOURCE_DIR})
INCLUDE_DIRECTORIES(${k3dsdk_BINARY_DIR})
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${K3D_GLIBMM_INCLUDE_DIRS})

LINK_DIRECTORIES(${K3D_GLIBMM_LIB_DIRS})
LINK_DIRECTORIES(${K3D_SIGC_LIB_DIRS})

ADD_EXECUTABLE(k3d-sl2xml
  main.cpp
  )

SET_TARGET_PROPERTIES(k3d-sl2xml PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY ${K3D_RUNTIME_OUTPUT_DIRECTORY}
  )

TARGET_LINK_LIBRARIES(k3d-sl2xml
  k3dsdk
  )

INSTALL(TARGETS k3d-sl2xml DESTINATION bin)

=== tests/CMakeLists.txt ===
PROJECT(tests)

INCLUDE(K3DParseArguments)

# Provides a consistent interface for running all K-3D tests
FUNCTION(K3D_TEST TEST_NAME)
	K3D_PARSE_ARGUMENTS(TEST "COMMAND;TARGET;CMAKE_SCRIPT;PYTHON_SCRIPT;K3D_PYTHON_SCRIPT;K3D_PYTHON_COMMAND_SCRIPT;REQUIRES;LABELS;WORKING_DIRECTORY;ARGUMENTS" "NGUI;XFAIL" ${ARGN})

	FOREACH(REQUIREMENT ${TEST_REQUIRES})
		IF(NOT ${REQUIREMENT})
			RETURN()
		ENDIF()
	ENDFOREACH()

	IF(TEST_COMMAND)
		ADD_TEST(${TEST_NAME} ${TEST_COMMAND})
	ELSEIF(TEST_TARGET)
		GET_TARGET_PROPERTY(TARGET_LOCATION ${TEST_TARGET} LOCATION)
		IF(TEST_WORKING_DIRECTORY)
			ADD_TEST(${TEST_NAME} "${CMAKE_COMMAND}" -E chdir "${TEST_WORKING_DIRECTORY}" "${TARGET_LOCATION}" ${TEST_ARGUMENTS})
		ELSE()
			ADD_TEST(${TEST_NAME} "${TARGET_LOCATION}" ${TEST_ARGUMENTS})
		ENDIF()
	ELSEIF(TEST_CMAKE_SCRIPT)
		IF(NOT TEST_WORKING_DIRECTORY)
			MESSAGE(SEND_ERROR "CMAKE_SCRIPT directive requires WORKING_DIRECTORY")
		ENDIF()
		ADD_TEST(${TEST_NAME} "${CMAKE_COMMAND}" -E chdir "${TEST_WORKING_DIRECTORY}" "${CMAKE_COMMAND}" -P "${TEST_CMAKE_SCRIPT}")
	ELSEIF(TEST_PYTHON_SCRIPT)
		ADD_TEST(${TEST_NAME} "${PYTHON_EXECUTABLE}" "${TEST_PYTHON_SCRIPT}")
	ELSEIF(TEST_K3D_PYTHON_SCRIPT)
		SET(TEST_UI --ui=nui)
		IF(TEST_NGUI)
			IF(NOT K3D_BUILD_NGUI_MODULE)
				RETURN()
			ENDIF()
			SET(TEST_UI --ui=ngui --batch --no-custom-layouts --no-splash)
		ENDIF()

		ADD_TEST(${TEST_NAME}
			${k3d_BINARY_DIR}/bin/k3d
			--log-level=debug
			${TEST_UI}
			--setenv "PYTHONPATH=${tests_SOURCE_DIR}"
			--setenv "K3D_TEST_SOURCE_PATH=${tests_SOURCE_DIR}"
			--setenv "K3D_TEST_BINARY_PATH=${tests_BINARY_DIR}"
			${TEST_ARGUMENTS}
			--script-file=${TEST_K3D_PYTHON_SCRIPT}
			--batch
			--exit
			)
	ELSEIF(TEST_K3D_PYTHON_COMMAND_SCRIPT)
		SET(TEST_UI --ui=nui)
		IF(TEST_NGUI)
			IF(NOT K3D_BUILD_NGUI_MODULE)
				RETURN()
			ENDIF()
			SET(TEST_UI --ui=ngui --batch --no-custom-layouts --no-splash)
		ENDIF()

		ADD_TEST(${TEST_NAME}
			${k3d_BINARY_DIR}/bin/k3d
			--log-level=debug
			${TEST_UI}
			--setenv "PYTHONPATH=${tests_SOURCE_DIR}"
			--setenv "K3D_TEST_SOURCE_PATH=${tests_SOURCE_DIR}"
			--setenv "K3D_TEST_BINARY_PATH=${tests_BINARY_DIR}"
			${TEST_ARGUMENTS}
			--script=${TEST_K3D_PYTHON_COMMAND_SCRIPT}
			--batch
			--exit
			)
	ELSE()
		MESSAGE(SEND_ERROR "Unknown K3D_TEST type")
		RETURN()
	ENDIF()

	IF(TEST_LABELS)
		FOREACH(LABEL ${TEST_LABELS})
			SET(LABELS "${LABELS} ${LABEL}")
		ENDFOREACH()
		SET_TESTS_PROPERTIES(${TEST_NAME} PROPERTIES LABELS ${LABELS})
	ENDIF()

	IF(TEST_XFAIL)
		SET_TESTS_PROPERTIES(${TEST_NAME} PROPERTIES WILL_FAIL TRUE)
	ENDIF()
ENDFUNCTION()

FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bitmaps)
FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bitmaps/differences)
FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/meshes)
FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/meshes/differences)
FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/shaders/displacement)
FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/shaders/light)
FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/shaders/surface)
FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/shaders/volume)

# Run tests that extract information about the underlying platform
ADD_SUBDIRECTORY(platform)

# Run tests that enforce coding-standards
ADD_SUBDIRECTORY(code)

# Run tests that verify the functionality of the testing system itself
ADD_SUBDIRECTORY(testing)

# Run tests that exercise the C++ SDK
ADD_SUBDIRECTORY(sdk)

# Run tests that exercise the Python SDK
ADD_SUBDIRECTORY(python)

# Run tests that exercise double-related functionality
ADD_SUBDIRECTORY(double)

ADD_SUBDIRECTORY(int32)

ADD_SUBDIRECTORY(color)

ADD_SUBDIRECTORY(vector3)

# Run tests that exercise matrix-related functionality
ADD_SUBDIRECTORY(matrix)

ADD_SUBDIRECTORY(string)

# Run tests that exercise bitmap-related functionality
ADD_SUBDIRECTORY(bitmap)

# Run tests that exercise mesh-related functionality
ADD_SUBDIRECTORY(mesh)

# Run tests that exercise shaders ...
ADD_SUBDIRECTORY(shaders)

# Run tests that exercise parallel computation ...
ADD_SUBDIRECTORY(parallel)

# Run tests that exercise offscreen rendering ...
ADD_SUBDIRECTORY(offscreen)

# Run tests that exercise animation ...
ADD_SUBDIRECTORY(animation)

# Run tests that exercise the standard user interface ...
ADD_SUBDIRECTORY(ngui)

# Run miscellaneous odds-and-ends ...
ADD_SUBDIRECTORY(other)

=== web/CMakeLists.txt ===
PROJECT(web)

FIND_PROGRAM(MAKO_COMMAND
	NAMES mako-render mako-render-2.6
	)

SET(web_OUTPUT_DIR "${web_BINARY_DIR}/site")

SET(developer_OUTPUT_DIR "${web_OUTPUT_DIR}/developer")
SET(planet_OUTPUT_DIR "${web_OUTPUT_DIR}/planet")
SET(tracker_OUTPUT_DIR "${web_OUTPUT_DIR}/developer/tracker")
SET(www_OUTPUT_DIR "${web_OUTPUT_DIR}/www")

ADD_CUSTOM_TARGET(www-html
	COMMAND "${CMAKE_COMMAND}" -E make_directory "${web_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E make_directory "${www_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E make_directory "${www_OUTPUT_DIR}/resources"
	COMMAND "${CMAKE_COMMAND}" -E make_directory "${www_OUTPUT_DIR}/resources/banners"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/k3d.css" "${www_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/k3d.png" "${www_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/www/logo.png" "${www_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/www/maintenance.html" "${www_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/www/resources/banner" "${www_OUTPUT_DIR}/resources"
	COMMAND "${CMAKE_COMMAND}" -E chdir "${www_OUTPUT_DIR}/resources" chmod a+x banner
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/www/resources/banners/moon.jpeg" "${www_OUTPUT_DIR}/resources/banners/moon.jpeg"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/www/resources/banners/submarine.jpeg" "${www_OUTPUT_DIR}/resources/banners/submarine.jpeg"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/www/resources/banners/town.jpeg" "${www_OUTPUT_DIR}/resources/banners/town.jpeg"
	COMMAND "${CMAKE_COMMAND}" -E chdir "${CMAKE_CURRENT_SOURCE_DIR}/www" ${MAKO_COMMAND} "donations.html" > "${www_OUTPUT_DIR}/donations.html"
	COMMAND "${CMAKE_COMMAND}" -E chdir "${CMAKE_CURRENT_SOURCE_DIR}/www" ${MAKO_COMMAND} "downloads.html" > "${www_OUTPUT_DIR}/downloads.html"
	COMMAND "${CMAKE_COMMAND}" -E chdir "${CMAKE_CURRENT_SOURCE_DIR}/www" ${MAKO_COMMAND} "index.html" > "${www_OUTPUT_DIR}/index.html"
	COMMAND "${CMAKE_COMMAND}" -E chdir "${CMAKE_CURRENT_SOURCE_DIR}/www" ${MAKO_COMMAND} "video.html" > "${www_OUTPUT_DIR}/video.html"
	)

ADD_CUSTOM_TARGET(planet-html
	COMMAND "${CMAKE_COMMAND}" -E make_directory "${web_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E make_directory "${planet_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/k3d.css" "${planet_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/k3d.png" "${planet_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/planet/feed-icon-10x10.png" "${planet_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/planet/logo.png" "${planet_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/planet/planet.css" "${planet_OUTPUT_DIR}"
	COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/planet/planet" --templates "${CMAKE_CURRENT_SOURCE_DIR}/planet" --output "${planet_OUTPUT_DIR}"
	)

ADD_CUSTOM_TARGET(developer-html
	COMMAND "${CMAKE_COMMAND}" -E make_directory "${web_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E make_directory "${developer_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/k3d.css" "${developer_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/k3d.png" "${developer_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/developer/developer.css" "${developer_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/developer/logo.png" "${developer_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/developer/k3d_universal_storage.pdf" "${developer_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E chdir "${CMAKE_CURRENT_SOURCE_DIR}/developer" ${MAKO_COMMAND} "dashboard.html" > "${developer_OUTPUT_DIR}/dashboard.html"
	COMMAND "${CMAKE_COMMAND}" -E chdir "${CMAKE_CURRENT_SOURCE_DIR}/developer" ${MAKO_COMMAND} "dashboard-index.html" > "${developer_OUTPUT_DIR}/dashboard-index.html"
	COMMAND "${CMAKE_COMMAND}" -E chdir "${CMAKE_CURRENT_SOURCE_DIR}/developer" ${MAKO_COMMAND} "index.html" > "${developer_OUTPUT_DIR}/index.html"
	COMMAND "${CMAKE_COMMAND}" -E chdir "${CMAKE_CURRENT_SOURCE_DIR}/developer" ${MAKO_COMMAND} "documentation.html" > "${developer_OUTPUT_DIR}/documentation.html"
	)

ADD_CUSTOM_TARGET(tracker-html
	COMMAND "${CMAKE_COMMAND}" -E make_directory "${web_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E make_directory "${developer_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E make_directory "${tracker_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/developer/tracker/tracker.css" "${tracker_OUTPUT_DIR}"
	COMMAND "${CMAKE_COMMAND}" -E chdir "${CMAKE_CURRENT_SOURCE_DIR}/developer/tracker" ${PYTHON_EXECUTABLE} "${CMAKE_CURRENT_SOURCE_DIR}/developer/tracker/tracker" --project "${ditz_SOURCE_DIR}" --templates "${CMAKE_CURRENT_SOURCE_DIR}/developer/tracker" --output "${tracker_OUTPUT_DIR}"
	)

=== debian/changelog ===
k3d (0.8.0.6-8) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Do not build-depend on libgtksourceview2.0-dev, it will be removed
    from unstable soon (Closes: #885686)
  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * d/watch: Move to version=4 and clean up of old entries commented out

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 19 Oct 2018 16:18:01 +0200

k3d (0.8.0.6-7) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.1.4 (no changes needed)
  * Update Vcs-* fields

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 13 May 2018 19:32:52 +0200

k3d (0.8.0.6-6) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.1.3 (no changes needed)
  * Switch to debhelper compat level 11
  * Set "Rules-Requires-Root: no" in d/control

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Jan 2018 00:57:27 +0100

k3d (0.8.0.6-5) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.1.1
    - Stop using priority "extra", using "optional" instead
  * Quell lintian warning "unnecessary-testsuite-autopkgtest-header"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 28 Oct 2017 23:49:31 +0200

k3d (0.8.0.6-4) unstable; urgency=medium

  * d/patches:
    - Add bts-853466-fix-ftbfs-gcc-7.patch, to fix FTBFS with GCC-7
    (Closes: #853466)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 05 Aug 2017 00:48:37 +0200

k3d (0.8.0.6-3) unstable; urgency=medium

  * d/patches:
    - Add use-gio-instead-of-gnome-vfs.patch, to use gio instead of
      gnome-vfs (to be removed from Debian) (Closes: #868394)

  * d/control: Remove Build-Depends on libgnomevfs2-dev, libglibmm-2.4-dev
    contains all that it's needed with the patch in this version

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 26 Jul 2017 23:34:30 +0200

k3d (0.8.0.6-2) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Switch to debhelper compat level 10
    - Upgrade dependency on debhelper versions
    - Remove "--parallel" in d/rules
  * Add tests for autopkgtest

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 27 Jun 2017 22:35:15 +0200

k3d (0.8.0.6-1) unstable; urgency=medium

  * New upstream release
  * Drop patches for fixes now handled upstream:
    - fix-ftbfs-boost1.61.patch
  * d/control: Fix Vcs-Git
  * d/control: Drop support for glewmx, require glew >= 2 (Closes: #838516)
  * d/patches:
    - fix-ftbfs-glib.patch (from #838516, thanks to Joachim Reichel)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 18 Oct 2016 23:02:27 +0200

k3d (0.8.0.5-4) unstable; urgency=medium

  * d/patches:
    - Amend fix-ftbfs-boost1.61.patch to require Boost 'system' unconditionally,
      otherwise it fails in some architectures.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 11 Aug 2016 09:43:10 +0100

k3d (0.8.0.5-3) unstable; urgency=medium

  * Build-depend explicitly on libboost-system-dev (required in 1.61), and
    bump Boost dependencies to 1.61
  * Update Vcs-* fields for the newest recommended practices

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 10 Aug 2016 20:50:13 +0100

k3d (0.8.0.5-2) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)
    - VCS-Browser changed to use https
  * d/rules: drop explicit "-std=c++11" compilation flags, not needed anymore
  * d/patches:
    - Add fix-ftbfs-boost1.61.patch to fix FTBFS with Boost 1.61

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 07 Aug 2016 16:06:49 +0100

=== debian/control ===
Source: k3d
Section: graphics
Priority: optional
Standards-Version: 4.2.1
Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
Homepage: http://www.k-3d.org/
Vcs-Git: https://salsa.debian.org/debian/k3d.git
Vcs-Browser: https://salsa.debian.org/debian/k3d
Rules-Requires-Root: no
Build-Depends: debhelper (>= 11~),
               asciidoc,
               cmake (>> 2.6),
               dh-python,
               docbook-xml,
               docbook-xsl,
               doxygen,
               gettext,
               graphviz,
               lib3ds-dev,
               libboost-date-time-dev (>= 1.61),
               libboost-dev (>= 1.61),
               libboost-program-options-dev (>= 1.61),
               libboost-python-dev (>= 1.61),
               libboost-regex-dev (>= 1.61),
               libboost-system-dev (>= 1.61),
               libboost-test-dev (>= 1.61),
               libcairomm-1.0-dev,
               libcgal-dev (>= 4.0) [!armel],
               libdbus-glib-1-dev,
               libfreetype6-dev,
               libftgl-dev,
               libgl1-mesa-dev | libgl-dev,
               libglew-dev (>= 2.0.0~),
               libglibmm-2.4-dev,
               libglu1-mesa-dev | libglu-dev,
               libgraphviz-dev,
               libgtkglext1-dev,
               libgtkmm-2.4-dev,
               libgts-dev,
               libjpeg-dev,
               libmagick++-dev,
               libode-dev,
               libopenexr-dev,
               libpng-dev,
               librsvg2-bin,
               libsigc++-2.0-dev,
               libtiff-dev,
               libxml2-dev | libexpat1-dev,
               pkg-config,
               python-dev,
               uuid-dev,
               xsltproc,
               zlib1g-dev


Package: k3d
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         k3d-data (= ${source:Version})
Replaces: k3d-dev (<< 0.8.0.1)
Breaks: k3d-dev (<< 0.8.0.1)
Description: 3D modeling and animation system, binary files
 K-3D is free-as-in-freedom 3D modeling and animation software. It combines
 flexible plugins with a visualization pipeline architecture, making K-3D a
 versatile and powerful tool for artists.
 .
 This package contains binaries and libraries.

Package: k3d-data
Architecture: all
Replaces: k3d (<< 0.8.0.2-2)
Breaks: k3d (<< 0.8.0.2-2)
Depends: ${misc:Depends},
         ttf-bitstream-vera (>= 1.10)
Description: 3D modeling and animation system, data files
 K-3D is free-as-in-freedom 3D modeling and animation software. It combines
 flexible plugins with a visualization pipeline architecture, making K-3D a
 versatile and powerful tool for artists.
 .
 This package contains data needed by the binaries (shaders, GUI elements, ...).

=== debian/tests/control ===
Tests: run-k3d-help
Depends: k3d

=== debian/watch ===
version=4
https://github.com/K-3D/k3d/tags .*/k3d-v?(\d\S*)\.tar\.gz
